import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
// 引入uview UI
import uView from './uni_modules/vk-uview-ui'
import {
	createPinia
} from 'pinia'
import {
	createSSRApp
} from 'vue'
import {
	useAuthStore
} from '@/store/authStore'
export function createApp() {
	const app = createSSRApp(App)
	const pinia = createPinia()
	// 使用uView UI
	app.use(uView)
	app.use(pinia)
	const authStore = useAuthStore();
	authStore.loadAuthToken();
	authStore.loadOpenid();
	authStore.loadUserInfo();
	authStore.loadPhone()
	return {
		app
	}
}
// #endif